import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  title = 'igniteui-angular-hammerjs';
  data: any[];
  columns: any[];

  ngOnInit() {
    // 列の定義
    this.columns = [
      { field: 'ID', headerText: 'ID', width: 100 },
      { field: 'ProductName', headerText: '商品名', width: 200 },
      { field: 'Supplier', headerText: '仕入れ先', width: 200 },
      { field: 'UnitPrice', headerText: '単価', width: 200 },
      { field: 'UnitsInStock', headerText: '在庫', width: 200 },
    ];
    // データ
    this.data = [
      { ID: 1, ProductName: '果汁100% オレンジ', Supplier: 'あじあ株式会社', UnitPrice: 18.00, UnitsInStock: 39 },
      { ID: 2, ProductName: '果汁100% グレープ', Supplier: 'あじあ株式会社', UnitPrice: 19.00, UnitsInStock: 17 },
      { ID: 3, ProductName: '果汁100% レモン', Supplier: 'あじあ株式会社', UnitPrice: 10.00, UnitsInStock: 13 },
      { ID: 4, ProductName: '果汁100% ピーチ', Supplier: '東京コーヒー', UnitPrice: 22.00, UnitsInStock: 53 },
      { ID: 5, ProductName: 'コーヒーマイルド', Supplier: '東京コーヒー', UnitPrice: 21.35, UnitsInStock: 0 },
      { ID: 6, ProductName: 'コーヒービター', Supplier: '恵比寿株式会社', UnitPrice: 25.00, UnitsInStock: 120 },
      { ID: 7, ProductName: 'コーヒーミルク', Supplier: '恵比寿株式会社', UnitPrice: 30.00, UnitsInStock: 15 },
      { ID: 8, ProductName: 'ピリピリ ビール', Supplier: '恵比寿株式会社', UnitPrice: 40.00, UnitsInStock: 6 },
      { ID: 9, ProductName: 'オタル白ラベル', Supplier: '恵比寿株式会社', UnitPrice: 97.00, UnitsInStock: 29 }
    ];
  }
}
